/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.ekp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yifu.cloud.plus.v1.ekp.entity.EkpBankCodeSet;
import com.yifu.cloud.plus.v1.ekp.mapper.EkpBankCodeSetMapper;
import com.yifu.cloud.plus.v1.ekp.service.EkpBankCodeSetService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

/**
 * 银企付款查询卡号所属行号记录表
 *
 * @author hgw
 * @date 2024-11-18 17:07:24
 */
@Log4j2
@Service
public class EkpBankCodeSetServiceImpl extends ServiceImpl<EkpBankCodeSetMapper, EkpBankCodeSet> implements EkpBankCodeSetService {

	@Override
	public EkpBankCodeSet getCodeSetByCardNo(String cardNo) {
		return baseMapper.getCodeSetByCardNo(cardNo);
	}
}
